PR(1)

NOM
pr - Mettre en forme des fichiers de texte pour l'impression

SYNOPSIS
pr [OPTION]... [FICHIER]...

DESCRIPTION

Mettre en page ou en colonne les FICHIERs pour impression.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

+PREMIÈRE_PAGE[:DERNIÈRE_PAGE], --pages=PREMIÈRE_PAGE[:DERNIÈRE_PAGE]
    commencer [arrêter] l'impression à la PREMIÈRE_PAGE [DERNIÈRE_PAGE]

-NB_COL, --columns=NB_COL
    produire une sortie sur NB_COL colonnes en remplissant colonne par colonne à moins que l'option -a ne soit utilisée. Égaliser le nombre de lignes de chaque colonne sur chaque page.

-a, --across
    afficher les colonnes horizontalement au lieu de verticalement, utilisé avec -NB_COL

-c, --show-control-chars
    afficher les caractères de contrôle en utilisant la notation avec l'accent circonflexe (^G) et les autres caractères non imprimables en octal, précédés d'une barre contre-oblique

-d, --double-space
    afficher en doublant les sauts de ligne

-D, --date-format=FORMAT
    utiliser le FORMAT pour la date de l'en-tête

-e[CAR[NB_ESP]], --expand-tabs[=CAR[NB_ESP]]
    remplacer les caractères CAR, ou les tabulations si absent, par NB_ESP espaces (8 par défaut)

-F, -f, --form-feed
    utiliser des sauts de page à la place des sauts de lignes pour séparer les pages. Si -F est indiqué, 3 lignes en en-tête seront ajoutées, sinon 5 lignes en en-tête et en bas de page seront ajoutées.

-h, --header=TITRE
    afficher le TITRE centré à la place du nom de fichier dans l'en-tête de la page ; -h "" imprime une ligne blanche, ne pas utiliser -h""

-i[CAR[LARG_TAB]], --output-tabs[=CAR[LARG_TAB]]
    remplacer les blancs par des tabulations ou, si indiqué, par le caractère CAR, LARG_TAB représente la largeur de la tabulation en nombre de caractères (8 par défaut)

-J, --join-lines
    mettre bout à bout les lignes entières, empêche la troncature des lignes de l'option -W et l'alignement des colonnes, --sep-string[=CHAÎNE] définit les séparateurs

-l, --length=LONGUEUR
    fixer la taille de page à LONGUEUR lignes (au lieu de 66), par défaut une page comporte 56 lignes de texte, 63 avec l'option -F

-m, --merge
    afficher les fichiers en parallèle, chacun dans une colonne. Les lignes plus longues que la largeur de la colonne seront tronquées. Avec l'option -J, les lignes plus longues que la largeur de colonnes seront préservées et concaténées avec la ligne correspondante de la colonne suivante.

-n[SÉP[CHIFFRES]], --number-lines[=SÉP[CHIFFRES]]
    numéroter les lignes, sur une largeur de CHIFFRES caractères (5 par défaut), suivi du séparateur SÉP (tabulation si absent). Par défaut, le compteur débute à la première ligne du fichier.

-N, --first-line-number=VALEUR
    débuter le compteur à la VALEUR avec la première ligne de la première page imprimée (consultez +PREMIÈRE_PAGE)

-o, --indent=MARGE
    décaler chaque ligne de MARGE espaces, sans impact sur les options -w ou -W, la largeur de la page sera donc de LARGEUR + MARGE

-r, --no-file-warnings
    ne rien signaler quand un fichier ne peut être ouvert

-s[CAR], --separator[=CAR]
    séparer les colonnes à l'aide du caractère CAR, ce dernier étant par défaut le caractère de tabulation si l'option -w n'est pas utilisée, et laissé à nul dans le cas contraire. -s[CAR] désactive la troncature des lignes lorsque l'une des trois options de mise en colonnes est utilisée (-COLUMN|-a -COLUMN|-m), sauf quand -w est indiqué.

-S[CHAÎNE], --sep-string[=CHAÎNE]
    séparer les colonnes à l'aide de CHAÎNE, sans cette option, le séparateur par défaut est une tabulation avec l'option -J et un espace autrement (comme -S" "). Cette option est sans effet sur les options de mise en colonne

-t, --omit-header
    ne pas afficher l'en-tête et le bas de page

-T, --omit-pagination
    ne pas afficher l'en-tête et le bas de page, supprimer tout formatage réalisé par saut de page dans les fichiers en entrée

-v, --show-nonprinting
    utiliser la notation octale avec barre contre-oblique pour les caractères non imprimables

-w, --width=LARGEUR
    utiliser LARGEUR comme largeur de page, au lieu de 72 colonnes par défaut, uniquement pour afficher les textes en plusieurs colonnes. Cette option est annulée si utilisée avec -s[CAR]

-W, --page-width=LARGEUR
    toujours utiliser LARGEUR comme largeur de page, au lieu de 72 caractères par défaut. Les lignes sont tronquées sauf lorsque l'option -J est utilisée. Sans impact avec les options -S ou -s

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

L'option -t est implicite si LONGUEUR <= 10. L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

AUTEUR
Écrit par Pete TerMaat et Roland Huebner.

SIGNALER DES BOGUES
Signaler toute anomalie de pr à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de pr à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète pour pr est disponible dans un manuel Texinfo. Si les programmes info et pr sont correctement installés sur votre système, la commande

    info coreutils 'pr invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Guilhelm Panaget <guilhelm DOT panaget AT free DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.